wacomtablet (6.4.5-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:16:31 +0100

wacomtablet (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:05:07 +0100

wacomtablet (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Refresh appstream-add-provides-modalias.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:32:39 +0100

wacomtablet (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)
  * Refresh appstream-add-provides-modalias.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:37:37 +0100

wacomtablet (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)
  * Refresh appstream-add-provides-modalias.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 09:00:09 +0100

wacomtablet (6.3.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:14:16 -0500

wacomtablet (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:27:07 +0000

wacomtablet (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on Plasma >= 6.3.2 and KF6 >= 6.10.0
    - Make build time tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Mar 2025 09:08:36 +0000

wacomtablet (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:54:41 +0100

wacomtablet (6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)
  * Disable appstream-add-provides-modalias.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:19:42 +0000

wacomtablet (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)
  * Refresh appstream-add-provides-modalias.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:27:21 +0000

wacomtablet (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 15:00:58 +0100

wacomtablet (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)
  * Refresh appstream-add-provides-modalias.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:59:10 +0000

wacomtablet (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:54:38 +0100

wacomtablet (6.2.91-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:14:15 -0600

wacomtablet (6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:45:54 +0000

wacomtablet (6.2.90-2ubuntu1) plucky; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Kubuntu Vcs and maintainer fields,
    - Bump KF6 build deps to 6.10.0.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Jan 2025 18:45:50 +0000

wacomtablet (6.2.90-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add provides/modalias to AppStream metadata so Isenkram can detect
    which hardware wacomtablet can manage and advise users of such
    hardware to install it. (Closes: #1077365)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Jan 2025 18:04:57 +0100

wacomtablet (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Build with hardening=+all build hardening flag.
  * Bump inter-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 17 Jan 2025 09:23:47 +0100

wacomtablet (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 08:54:03 +0000

wacomtablet (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:24:12 +0100

wacomtablet (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:06:23 +0000

wacomtablet (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:39:07 +0100

wacomtablet (6.2.4-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:26:53 -0600

wacomtablet (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:17:12 +0000

wacomtablet (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:37 +0100

wacomtablet (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 20:01:03 +0000

wacomtablet (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 21:25:38 +0200

wacomtablet (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.
  * Tighten inter-Plasma package dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:51 +0200

wacomtablet (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.
  * Tighten Plasma packages inter-dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:24 +0200

wacomtablet (6.1.5-0ubuntu3) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 18:02:03 +0100

wacomtablet (6.1.5-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:08:02 +0100

wacomtablet (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:02:36 +0100

wacomtablet (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.
  * Add dependency on systemsettings, override lintian false positives.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:27 +0200

wacomtablet (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:45:02 +0100

wacomtablet (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:22 +0200

wacomtablet (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update d/watch as the package is now part of Plasma.
  * Update upstream signing-key.
  * Set the Maintainers-field to Debian Qt/KDE Maintainers and remove
    inactive maintainers. Thank you for your work.
  * Remove redundant patches.
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update Homepage and Vcs-fields.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Jun 2024 12:03:20 +0200

wacomtablet (3.2.0-5) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 2dcb1d407d5d019802161e04760e6af41d4fabce to fix
    the build with GCC 13; patch upstream_Add-missing-include.patch.
    (Closes: #1037889)
  * Update standards version to 4.6.2, no changes needed.
  * Mark the dbus, xauth, and xvfb build dependencies as !nocheck, as they are
    needed only during dh_auto_test.
  * Remove inactive Uploaders.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Jul 2023 07:37:39 +0200

wacomtablet (3.2.0-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Pino Toscano ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Backport upstream commit 7c8e1de0c240d6c6ff1a6946d0fabd524a0e8a7e to fix
    build with Qt 5.15; patch upstream_Fix-build-with-Qt-5.15.patch.
    (Closes: #975152)
  * Add Rules-Requires-Root: no.
  * Update the references to the upstream Git repository.
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Nov 2020 14:04:29 +0100

wacomtablet (3.2.0-3) unstable; urgency=medium

  * Team upload.
  * Restore running the unit tests at build time, as autopkgtest is not a
    replacement for this.
  * Add the libxcb-xfixes0-dev build dependency, as apparently libxcb-xinput-dev
    does not pull it automatically (while using its headers).
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Remove gbp.conf, as the packaging repository does not use git buildpackage.
  * Do not explicitly specify --buildsystem=cmake to dh, as cmake is the only
    build system available.
  * Stop passing --fail-missing to dh_missing, as everything is already
    installed in the only binary package (kde-config-tablet) of this source.
  * Improve salsa CI configuration to run more standard checks.
  * Stop using the non-existing ${shlibs:Recommends} substvar.
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 31 Dec 2019 16:41:57 +0100

wacomtablet (3.2.0-2) unstable; urgency=medium

  * Remove duplicate test override out of rules because
    they are already run in autopkgtest. Replace the command
    in the autopackage test with the one from rules to fix the
    failing test could not connect to display error.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Sat, 10 Aug 2019 15:06:32 -0700

wacomtablet (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update my email.
  * Bump compat to 12.
  * Remove spelling error patch applied upstream.
  * Remove gcc9 ftbfs patch applied upstream.
  * Bump standards version to 4.4.0; no changes needed.
  * Add upstream metadata file.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Tue, 06 Aug 2019 15:27:11 -0700

wacomtablet (3.1.1-2) unstable; urgency=medium

  * Team upload, with permission from two Uploaders.
  * Backport upstream patch to fix FTBFS with GCC 9 (closes: #925855).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Jul 2019 16:51:24 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog kde-config-tablet`.
